View Issue Details

IDProjectCategoryLast Update
0023512AI War 2[All Projects] Gameplay IdeaAug 28, 2020 6:26 pm
Reporterx4000BughunterAssigned Tox4000Bughunter 
Severityminor 
Status feedbackResolutionopen 
Product Version 
Fixed in Version 
Summary0023512: Seeking ideas for "infrastructure" for DLC2.
DescriptionFrom discord:

me:
I already am wanting to add in some more "infrastructure" units in DLC2, so something that is salvage-like for the AI (or several something that are variants of it) would be pretty awesome candidates for that.

Democracy:
What were/are infrastructure units?

Me:
They have not really existed too much before, not in a codified sense. But they're something that I've wanted to do for a while.
In the broadest possible sense, they are "AI buildings that affect the AI when you kill them, so you have some new juicy targets to hit."
Of course, that's over-broad, because there has to be some sort of cost to hitting those. Or a cost to NOT hitting them. Or some mix.
Basically, if it's just a straight buff to the player (now if I kill xyz things, I get bonuses!), then it's boring and just makes the game easier.
Technically a warp gate is a form of infrastructure, and the downsides of killing it are that there is an AIP gain, and also there are fewer places the AI can attack you from (usually good, but can be bad if you did too many).

StarKelp:
So Permanent Instigators?

Me:
Instigators are something that are more temporal -- you have to go do a thing in a certain amount of time, and that's fundamentally at odd with infrastructure.
Data centers would be one other example of infrastructure, although they are the sort that have zero downsides. They're just scarce, and so finding them and being able to reach them is the cost.

Another example of NOT infrastructure is something like a Troop Accelerator or Raid Engine or Alarm Post. Those are things that I refer to as "devious devices." Eyes also fall into this category. They aren't temporal, per se, but really are more about making some spatial area of the map more dangerous. If you don't take them out, then you have to work around them.
The idea of infrastructure is actually a pretty tricky one, because it needs to be something that can passively exist (like a warp gate or a data center or a super terminal) and not really negatively effect you overall in the main, and not negatively push you away from parts of the map. But they do need to have that sort of "yay benefit" to when you kill them, and potentially some sort of downside.
We really have so very very little infrastructure right now, superterminals are another one (the danger is in the hacking response), and warp gates are actually poor infrastructure in that they are required to be taken out on planets you destroy. The only reason they qualify at all is that you can take them out on planets you DON'T take.

Democracy:
so theoretically, something like this maybe?

 AI Cybersecurity Terminal: This structure extends hack durations against any AI factions (minor factions are unaffected) and makes responses a bit tougher than normal while alive, with the effect getting stronger the closer you get to the planet that it’s on. (i.e, on the same planet, there is no way you are hacking that. 1 planet, hack response multiplier 2x, 2 planet, hack response multiplier 1.75, etc) if you manage to destroy it normally, it no longer affects you. If you perform a special hack, the AI will respond EXTREMELY vigorously, at least on the same level as Outguard and Superterminal. If you successfully complete this hack, you are refunded your hack points for this one hack, AND the AI hack response permanently goes down one level (i.e, easy turns into very easy), OR you get a discount on all future hacks. If you fail… you will wish it was a spire archive. Costs AIP on death.

Me:
That is a pretty good example, yes. The one thing is that in an ideal world, I would like for the infrastructure to be the sort of thing that we can seed in every DLC2 game and not have it radically alter the game if people choose to ignore them. My absolutely ideal infrastructure is the sort that players can completely ignore and it does zero for or to them. But that if they choose to engage with it in some fashion, then it starts changing things either for the better or the worse depending on if they win the engagement or not.
If there is infrastructure that makes the baseline game harder unless you deal with it, then we've just made the entire baseline game more complicated (strategically) just by having DLC2 installed, so then those bits have to become optional, if that makes sense.
Having DLC1 installed means that there are a bunch of new turret types around, but they are not fundamentally more difficult than playing without DLC1, if that makes sense. They add variety, and both you and the AI can choose to use them. So DLC1 absolutely infests the galaxy with new turret types, but it doesn't make the core experience harder to follow.
A bunch of infrastructure that is "stuff is harder unless you choose to deal with it" would fundamentally alter the game flow if DLC2 is installed, so then that winds up being a galaxy option for "seed extra infrastructure and have a harder time but more opportunities," and I deeply dislike that.
If someone has DLC2, I'd like for all the infrastructure to be there at their fingertips, like the turrets from DLC1, but in both cases it increases the number of options but otherwise doesn't really make things more complicated or difficult if you ignore them.
That's in some respects a tall order, because the most obvious infrastructure does something good for the AI until you disrupt it, at which point the AI is weakened.
But instead it has to be more reframed to "more or less nothing happens from this, except maybe a minor effect locally (one planet), unless you choose to aggro the infrastructure, after which point you can either gain a benefit or a penalty."
One model of doing this would be some sort of "derelict AI stuff" that is inactive on various planets and does literally nothing, but you can hack it for like 1 hacking point to turn it back on. If you do, it does good things for the AI and you get nothing. It then exists in this state for a while until you either kill it prematurely, or until you hack it again and get some sort of bonus. Potentially the longer you wait, the bigger the bonus.
So your exact cybersecurity terminal would then work just fine, except that it would have to start out as derelict and do nothing. And once the player activates it, they need to wait something like 30 minutes of gametime before they can get the benefit from it. They can kill it prior to that, but they won't get the benefit. And in the meantime, during that 30 minute window (or until they are ready to do the hack), they suffer maybe even more of a severe debuff than you were suggesting.

Democracy:
The 1 hap to trigget it would be something like "alert ai cybersecurity"?

Me:
Kind of like "turn on this machine and see what happens," and that's the part that comes after, yeah.
We would definitely explain what will happen in advance, of course.

StarKelp:
I had a, uh. Recycling Bin idea at one point. Have it passively put out scrap drones as units die on its planet. If you can hack/take the planet, you can expand the radius at which it collects scrap. If you ignore it; its just a slightly more bitey planet.

Me:
That sort of thing is localized enough to also be perfect for that. If it was too much of a pain we could start it derelict, but honestly I think that keeping it active from the start is under the threshold of where it would be a problem.
TagsNo tags attached.

Relationships

related to 0023587 assignedx4000Bughunter Thoughts for later: alternative win conditions via hostile base game factions. 
related to 0023604 feedbackx4000Bughunter Seeking ideas for "batteries" that reward you for defending planets for DLC2 or DLC3. 

Activities

x4000Bughunter

Aug 6, 2020 8:59 pm

administrator   ~0057964

I realized I've never explained this, and I want loads of ideas from people.
In something like a month I hope to add a bunch of these.

DEMOCRACY_DEMOCRACY

Aug 6, 2020 9:30 pm

reporter   ~0057965

Last edited: Aug 28, 2020 3:29 pm

View 3 revisions

Im pretty sure this is impossible without a lot of coding, but I REALLY like this idea

AI Tech inhibitor: when this structure awakens, it reduces all of your tech levels by one (badger says "I feel like going down 1 tech level by 1 would be less likely to cause the player to just lose in a close game"). When killed, it can give you a wide variety of rewards. Maybe more science? Some aip reduction? Hack points?

Chthon

Aug 6, 2020 9:38 pm

reporter   ~0057966

One of the things that make destroying targets a no brainer, or something that you seek out constantly is the fact that such things tend to affect the AI or player globally, or system wide.

What if you had things that benefited the AI in a more regional area, or affected hacking within a few systems of a target? We already have some things like the former in the form of troop accelerators and weapon amplifiers. I'm thinking more along the lines of perhaps some items like this:

Constellation Coordinator: This is something along the same idea of a Warden base. After a certain AIP threshold, the AI will start scanning for systems where it feels that it cannot house enough guards to defend the system. If there are a number of systems in a cluster all bordering a single system, it will spend some of it's budget to build a Constellation Coordinator in that system to house those ships and coordinate them into a miniature Warden/Praetorian fleet that attacks/defends all systems within 1 jump of that system, and receives all excess reinforcements from those systems that cannot be housed in those systems. There will be a maximum limit to the size of the fleet based on the mark of the station before ships are left in the systems where they were spawned or released as threat.

Constellation Command: If you lose a system to reconquest and the AI has the ability to build Constellation Coordinators, and decides that this is a good place for one, it can instead build a Constellation Command Center. This is an upgraded command center that has powerful weapons, houses many ships, and protects or attacks neighboring systems with it's fleets.

What do you think? As the AIP goes up, the AI will eventually start to notice the player's destruction of it's defenses across the universe and it could start building something more damaging in return. You can temper it by limiting how many of these are available to the AI by mark for the current AIP level if you feel like it for balance, or make it unlimited at certain difficulties.

Mckloshiv

Aug 6, 2020 10:03 pm

reporter   ~0057967

How about:

Intra-Galactic Warp Gates: From Classic, but they start off in the hands of the AI and allow them to quickly move the hunter/warden/praetorian fleets around between the warp gates. If you hack them, then you can instead use them for yourself. So not the exact same in Classic (since fleets themselves behave just like the warp gates in classic), but I think the name would be okay for this iteration too. You can also simply destroy them to effectively reduce the response times of the AIs fleets. Maybe have these alongside a few warden bases (if base-oriented).

Radar Scrambler: In the hands of the AI, the planet that it is on can only ever be "watched" if you currently have forces there (disables the watch hack too because that would be ineffective). In the hands of the player, it prevents waves from warping to that planet, and also won't cause the nearby planets to be on alert.

ultamashot

Aug 6, 2020 10:11 pm

reporter   ~0057968

My favorite thing for ships to do in AI War, is make other Things, whether it be the hive golem, the tesla torpedo frigate, or the combat factories. I would love to see some kind of Neinzul guard post that makes a nuisance of itself with a hack to free it, and gain an allied, or lone fleet of drone spam, or take a scraping of its corpse, to throw into the cloning vat, and get a drone production turret.

Oryutzen

Aug 6, 2020 10:15 pm

reporter   ~0057969

Well, as a general idea for flavor, many of these structures could probably be something that helps the AI in its off-galaxy endeavors, that are thus heavily defended but not having a direct effect in your war against it until you hijack them and grab them.

One idea that comes to mind at the moment would be something like a Telescope Array, a series of AI observatories scattered around the galaxy (that the AI would nominally be using to watch the exogalactic threat) that need to be hacked to be turned back to your galaxy, and have a nasty hack response, but that do something like provide additional intel to you on planets you're not watching, or actually watch planets for you; the more of them you hack, the more planets you have watched, but also the angrier the AI response for the next Observatory you hack. Or a different bonus, depending on how valuable intel and watched planets are considered to be for the player.

No other ideas at the moment, but if they come to me I will post.

CRCGamer

Aug 6, 2020 10:58 pm

reporter   ~0057971

Decommissioned Strategic Missile Silo
Namely something akin to the old original AI War missile silo but with a far more restrictive missile selection. Probably only lightning warheads or EMP warheads honestly. Re-activating it has the AI take notice and start re-enabling silos to use against adjacent planets and put in active missile defenses. So going for missiles to use also would subject you to needing to remove specific missile defenses occasionally and deal with eating missiles from adjacent reactivated silos until you hack/destroy them in turn past the first one or two you took.

Collapsed Wormhole Node
The AI has shuttered this wormhole transit point and put in a system to prevent its re-opening... do you dare reopen the connection and see what the AI avoided rather than dealt with directly? A straight up RNG could be good could be bad. Really bad would be like finding out there is active nanocaust in the system(s) behind that sealed connection. The re-opening would directly award science.

Nebula Condenser Array
Would exist in a cloudy system and just kinda be there unless you actively impair its operation at which point that system would become subjected to halved weapon ranges for *everyone* and all adjacent systems take a 25% range cut for everyone. Might be a nice way to get something equivalent to a turret range reduction hack against multiple systems at once. Might also be you don't want to touch it because it would interfere with having a nice choke point on a nearby planet.

Infested Deepstrike Support Station
Would exist on a planet and just release parasitic drone things on a periodic basis against anything in system. Destroying it simply removes it. But if you *hack* it and clean out the infestation waves that spawn from that hack you get a nifty station that can directly teleport about 20-30 fleet strength worth of drones onto any planet within 4 jumps. Kinda like a unusual localized Outguard option. Granted once you have the cleaned up version the AI wants it back and will use it against you if it retakes the planet.

Metrekec

Aug 7, 2020 12:05 am

reporter   ~0057972

In terms of derelicts, I'd be curious about something like this:

AI derelict factory: An old facility from before the time the AI moved its production facilities outside of this galaxy. The ships within were programmed with simple brute force logic.
Inactive until hacked, upon which it spawns AI-specific anti-to-all zombie ships. Once the hack is completed, constantly spawns AI-specific anti-AI zombie ships which remain in a system until their strength is equivalent or superior to that of a surrounding system, upon which it moves to the new system.
The type of ship spawned could be listed and unique to each factory. The idea is that the ships build up relatively evenly within "safe" sectors until they are strong enough to attack the AI systems or the AI comes in and kills them.

I've always liked the idea of structures that can affect the AI indirectly through player actions:

AI taunter: Starts derelict or inactive until disturbed - once triggered, increases wave frequency/severity towards the player. Once destroyed, decreases wave frequency/severity towards the player for an equivalent amount of time it was activated.

I'd also like to see more structures that make the AI react to how the galaxy is getting shaped by the various factions within it.

AI watcher: If an enemy faction (including the player) is detected within 1 planet hop of a redirector, the AI allocates additional budget towards that faction and has reduced budget towards other factions.

AI trapped stockpile: If an enemy faction destroys this object, they get a large budget increase. However, the destruction of the object causes the AI to spawn a wave/extragalactic ship of equal value to the budget increase. A player destroying this would get a large amount of metal to differentiate it from regular distribution nodes and an equivalent wave/extragalactic ship.

Chthon

Aug 7, 2020 1:23 am

reporter   ~0057973

My idea comes from the fact that as time goes on there becomes less and less AI "infrastructure" if the player has anything has to say about it in general. The AI generally doesn't "rebuild" much at all unless it reconquers systems.

You ask for ideas for interesting AI "infrastructure" that won't be just steamrolled by the player, really it's gotta be something the AI is willing to rebuild behind the player, because player's are destructive, or something the player isn't willing to break in the first place. I'm suggesting a bit of the former to go with the latter.

ArnaudB

Aug 7, 2020 2:57 am

reporter   ~0057975

An odd idea I had:

-Highway relays: triple the speed of all AI units on the planets. This beacon is spread alongside a road between Warden bases/Astro Train stations/something else. The AI would have 1 highway and would repair it, possibly working around human captured planets, by rebuilding beacons to restore the highways. That'd give the AI a line where it can shift forces crazy fast, hopefully without breaking balance, and being fun (you could maybe either share the benefit of the highway with a hack, or take over the beacons by capturing the planets).

ParadoxSong

Aug 7, 2020 8:11 am

reporter   ~0057980

I'll post again if I think of some better stuff, but honestly the Watcher and Highway I think are on the most interesting track (though I REALLY like some of the other stuff) of rebuildable/redirectable infrastructure. They could easily be enhanced in implementation by allowing it to be hacked to change its parameters:

Watcher: Hacking this could allow you to double, halve, or have your own faction ignored by the Watcher for budget purposes. (double and halving would work on whatever faction it happens to trigger on, I.e. manipulating the AI into responding more heavily to the Nanocaust)

Highway: There's some options here. Hacking a highway beacon could dramatically slow the units in transit (perhaps eliminating the highway bonus entirely on that planet) or turning the beacon into an Exclusion Zone, forcing the AI to build a more circuitous route, with limits as necessary.

For my own idea, I'd just like to comment that I think turning some base-game bonuses into localized infrastructure wouldn't be remiss, as a way of maybe easing people into the brand new system DLC2 will offer. This is obviously hard, I can only offer the most piddly example: The Lost Asteroid Mine could be turned into a "mining outpost" that acts essentially as a particularly notable, drone-producing Guard Post, which you could either take in a way of localized pain (Cutting beams work well against ships!) or as a budgetary modifier. Or maybe something else!

gigastar

Aug 7, 2020 9:32 am

reporter   ~0057981

An idea i had a while back was for a noncombat branch of the AI that would do things such as
-Construct new eyes
-Place additional guard posts on planets that have already reached their normal limits
-Other interesting things, such as dire guardian lairs, whatever else can be cooked up

Also for AI types such as Peacemaker and Fortress Baron this would let them replace the buildings they normally cannot

Lord Of Nothing

Aug 7, 2020 6:04 pm

reporter   ~0057998

How about a few structures that change how the AI spends it's budget across the whole game?
So we have, say, "AI Local Strategy Subprocessor", and destroying it cuts the AI's wave budget by some percentage as you've interfered with it's wave-sending functionality sector-wide. But, all that lost budget is now assigned to blunter, less targeted instruments, like reinforcing AI planets and/or the CPA budget.
Or, similarly, an "AI Local Defence Analysis Subprocessor", and destroying that cuts the AI's reinforcement budget across the whole sector, but then it dumps that budget into it's waves and/or it's CPA's, and so on.
Could be an interesting way to customise how the AI is attacking you to what you feel most able to handle.

Then, you could also have the option to hack them, which would provide a permanent effect of, say, -5% to the structure's associated budget, with no reallocation, but it's an expensive hack with a serious response.

ANGRYABOUTELVES

Aug 7, 2020 6:28 pm

reporter   ~0057999

Abandoned AI Orbital Factory: Does nothing unless you interact with it. If you blow it up, you get some metal, and a bunch of construction bots pop out and attack you. If you hack it, you get a line of said construction bots, and even more construction bots pop out and attack you. Or, you could hack it to turn it on, it starts spewing out ships, and when you hack it again you get a bigger line of construction bots based on how long it was active.

Lord Of Nothing

Aug 7, 2020 6:39 pm

reporter   ~0058000

I just wanted to add a clarification to my above suggestion: The percentages I was thinking of for the Destroy the structure option are 30-50%, so much larger effect with low cost, but only shifting things around, while the hack is expensive and a smaller effect, but it is an actual reduction. For the structure itself I was thinking fairly well statted, something in the superfort region.

Metrekec

Aug 8, 2020 4:39 pm

reporter   ~0058005

Another idea:

AI Warden/Hunter/Praetorian central processor: One of the centers which set AI has set up to help manage the Hunter/Warden factions. Gets destroyed when the planet loses AI ownership which has no consequence as the AI has backups (like the superterminal). Can be hacked to affect the Warden/Hunter fleet in different ways. If the hack fails, the budget for that faction increases and the structure is destroyed.

Some example effects:
Current (AI faction) fleet turns/partially turns into anti-AI zombies
Current (AI faction) fleet goes/partially goes into standby mode for x amount of time
Lower (AI faction) budget for x amount of time
Permanently lower (AI faction) budget

Stronger effects could have more significant hacking time/response.

I also like the idea of revamping the "free" energy/metal structures in the base game into actual AI infrastructure that needs to be taken down or otherwise converted in order to be used by the player.

CRCGamer

Aug 10, 2020 4:53 pm

reporter   ~0058033

Local Command Core
An AI fortress capable of commanding local forces in the event of communications jamming. Hacking this facility to interfere with its command link and IFF will result in the local systems being held a mini-AI that doesn't recognize the primary AI as allied. Will be more than happy to still raid us... but should be pretty occupied with the main AI pretty quickly as both duke it between each other.

Experimental Shipyard
A proving grounds for untested variants of larger vessels. Hacking this can give you a non-standard variant of a fleet centerpiece vessel. Failing the hack results in both the response fleet and the variant vessel being used against you.

Automated Scrapyard
Essentially a non-standard drone guardpost that metabolizes intruders to its system. Can be hacked much the same way as a Mass Driver or Ion Cannon however for an interesting extra source of defending "chaff".

Chameleon Retrofit Facility
All raids and reinforcements to this system gain the ability to cloak. Either destroy the warpgate to prevent the upgrade from being used on raids. Destroy the facility for AIP cost. Or hack it sabotage it and upgrade one shipline with cloaking.

Hydran Retrofit Facility
Much the same as the last one but for the Hydra property instead.

Nebula Storm Suppressor
Disabling this negatively impacts all weapon reload timers and slowly attritions strikecraft with insufficient shielding in neighboring systems.

Relay Bot

Aug 16, 2020 4:54 pm

reporter   ~0058106

Abandoned Mobile Construction Array:
Before you can hack, you can choose a unique turret class to receive later on. When activated, turns into a very high health but low damage ship that can construct guardian ships and defenses (both based on the turret class) on the planet it's on, occasionally making those ships a part of the Threat fleet when not under attack or raiding. It will roam towards planets one jump away from an unowned/non-friendly planet and send raid squads out, but will flee when the planet it's on is no longer owned by the AI. When defeated, the turret class you chose when you first hacked is unlocked for all of your citadels/battlestations and your military/home command centers.

Alternatively,
Construction Array:
Always active from game start but does not change the game much. Always located on heavily defended planets and also contributes to defenses in the form of extra defenses and patrol ships, as well as raiding ships for planets 1 hop away. Still high-health and low damage, but when killed reduces the AI's ability to spawn a specific ship type (Specified in the name, such as Golem or X Golem Construction Array) and grants the player hacking points and science. In return, the AI receives a large, permanent boost in budget.

Onymous

Aug 27, 2020 6:44 pm

reporter   ~0058203

--Experimental Modular Command Prototype:
"The AI designed this based on observations of an alien race (*cough* spire *cough*) as a way to rapidly establish itself on new worlds. With exogalactic production and warp grid deployment, the concept became redundant and was mothballed in favor of the standardized system used today. If reactivated, it will begin producing ancillary structures and eventually mobile units from local system resources. Because it's just a prototype, the security on the ancillary structures was never fully updated, and they will go dormant rather than self-destruct if the central command is destroyed. Their capture represents a potentially powerful resource, assuming it does not grow out of control..."

This is a dormant AI control station floating off near the edge of the map, it does not give the AI control of the system and incurs no AI progress if destroyed. Once activated, it will begin producing structures around it. Over time, it will build:
-1 Research Node (always built first) increases the number of buildable structures per Mk and effects most other structures, if no more build slots are available when command tries to build something research node Mk is increased instead. If captured, provides science per Mk level.
-1 Auto-Factory (always built second), begins spawning waves against the planet, Mk and size of waves dependent on research node Mk and # of mines rather than AIP. If captured, it will rapidly produce reinforcements for nearby fleets for free, but it can't be assisted by engineers.
[Auto factory and research nodes are indestructible]
-1 Force Field, protects the command station, strength increases with research node Mk. If captured, provides a force field based on Mk of research node.
-Auto-Asteroid Mines, increases the size of waves spawned and rate command builds new structures. If captured, provides metal income based on Mk of Research node.
-Energy Cores, increase the rate at which the auto-factory spawns waves against the planet. If captured, provides energy based on Mk of Research Node.
-Defense cores, spawn a group of drones to defend the station if enemies are nearby, size of fleet and Mk increase with research node Mk. If captured, spawns drones to defend the planet if enemy forces are on it.
-1 Intelligence core, puts nearby systems on alert so the AI reinforces them (only spawnable after Mk3 research node). If captured, provides vision on nearby systems (vision 2 hops out if logistics command is used).
-1 Guardian core, spawns guardians that patrol the system but won't leave, also adds guardians to factory waves which can leave (only spawnable at Mk 4+, number of guardians and guardian Mk increase with research node Mk). If captured, spawns guardians that patrol the system but don't leave.
-1 Dire-Guardian core, spawns a dire guardian to patrol the system, adds dire guardians to factory waves which can leave (only spawnable at Mk 6+). If captured, spawns a dire guardian to patrol system but won't leave (rebuilds after a while if destroyed).

The idea for this thing is that once activated: the longer it's around, the more chance it will become too powerful and end up sending an unstoppable force to destroy you. On the other hand, the more you let it build up, the more powerful a defensive or economic bastion it becomes (depending on what structures it has). The AI doesn't really care about this thing anymore, if you poke it and it kill you that's great but it's not gonna do anything special to protect the station. If you destroy it at a high mk though, they may take notice. Maybe have it alternate building a resource and a defense building, so if you want to specialize the system, you can destroy the mines or defense cores and not have it continually respawn the same thing.
--
Orbital Debris Control subframe
"During the war, the debris of destroyed ships grew to the point that it became a navigational hazard. The AI built a mainframe to coordinate galactic cleaning and recycling operations, turning scrap into new waves of ships. Afterwards, there wasn't enough remaining to justify keeping the full system online. This secondary station is less effective, but sufficient for current requirements. Destroying this would reactivate the primary station, drastically increasing AI response to ships destroyed on its worlds, but it would also make it vulnerable."

Orbital Debris Control Mainframe
"During the war, the debris of destroyed ships grew to the point that it became a navigational hazard. The AI built this mainframe to coordinate cleaning and recycling operations, turning scrap into new waves of ships. It is amazingly efficient, allowing the AI to launch counterattacks on far less resources than the current system. Due to power requirements and lack of need, the AI does not run the main system unless the secondary is offline. If destroyed, the AIs ability to launch counterattack waves would be drastically reduced. The station is almost indestructible while inactive, but the massive power required to run it also present a vulnerability."

The mainframe and the subframe spawn a several hops away from each other, and the subframe provides external invincibility to the mainframe. If you destroy the subframe, the AI starts getting a lot more out of your destroyed ships for launching counterattacks. If you destroy the mainframe, starts getting a lot less. They should spawn a few hops from each other so you either have to split your forces or deal with a gauntlet to get from one to the other. If you want to force the effect to last for a bit, it can take some time for the external invincibility to wear off (call it, the station fully charging up).
--
Deep Space Scanning Array
"The AI uses this station to scan deep space for emissions from any powerful ships. This limits the ability to send forces into a planetary control zone without revealing their origin. If destroyed, resistance forces would be able to safely launch more powerful attacks against the AI as long as they are not more advanced than the local forces. The AI will respond to this by taking other measures against the resistance."

Destroying this would set resistance spawning to match the Mk level of the planet they are spawning on, or the AIP level if spawning defensively on your planets. This would allow them to be more useful on higher mark worlds. However, for each attack the resistance launches, the AI will build up a budget to deploy an ambush based on the value of the resistance force sent. Eventually, when the resistance spawns on an AI would, the AI will warp in a more powerful ambush force on top of them. They will destroy the resistance forces, attack you (if you're still on planet) then any survivors will despawn and be recycled back into the ambush budget. Ambushes will only be launched on AI controlled worlds, but still build up when resistance spawns defensively. This structure only spawns if a resistance faction exists or of there is a resistance beacon in the galaxy.
--
Trans-Phasic Bypass Channel
"There's no one left that really understands how the AI warp grid works anymore, assuming anyone ever did, but we still have some clues. This array is a minor part of the infrastructure that allows the AI to warp in large fleets to attack us. Destroying it will increase the cost (thus reducing the size) of gate waves sent against us, but the AI is likely to launch stronger Cross Planet Attacks in retaliation."

Destroying this reduces the budget for regular waves deployed through warp gates, but the AI will release more ships during CPAs as a response.
--
Emergency Support Response Depot
"This depot was created to provide a support force when an AI combat fleet initiated operations. Once an attack was launched, this facility would deploy a smaller squad shortly afterwards to provide ranged support, repair, and defense. It is using legacy comm protocols that were discontinued some time ago, so AI waves no longer contact it, but the facility itself it is still connected to the warp grid. We may be able to modify this facility to support us instead."

When hostile ships enter the gravity well, this facility spawns an unmoving shield frigate/guardian and some snipers to defend the system. If captured, this facility allows the building of a 'Comm Receiver' in the system. Once built, the Depot comes under player control and will begin accumulating build points. When the AI launches a wave on one of your worlds, or if you want to get fancy when exos or threat launch an attack as well, this facility will warp a smaller fireteam that arrives a few seconds after the AI. This fireteam should include a shield frigate or guardian that remains stationary, covering the wormhole it emerged from and preventing the AI from retreating, as well as a mix of fleet ships with long/infinite range or repair capability to attack the wave from behind. Once all enemies have left the system, they despawn and any survivors are refunded back into the depot. The depot and receiver can't be destroyed once built, but if your command station is destroyed the depot reverts back to AI control and will spawn the same fleets to support the AI when it attacks.
--
AI Barracks
"This structure holds a massive amount of dormant AI ships. They are part of a quick response force the AI deploys occasionally as part of its activities outside the galaxy. They are not part of the Milky Way forces and will not normally be deployed here. If this reserve was destroyed, the AI would have to devote more of its production to replacing them, reducing the rate it can send exo-galactic strike forces against us here. It is likely that at least a small portion of the AI ships would survive and seek revenge, and if too many of these were destroyed, the AI would send a response to discourage further damage to its facilities."

Several barracks can be deployed throughout the galaxy. When destroyed, they will decrease the speed at which exo-galactic strike force budgets builds up. However, its destruction will also spawn a group of ships that 'survived' the facility blowing up. Additionally, there is a chance (rising to 100% when the second last is destroyed) that the AI will deploy an exo-war unit to hunt down the fleet[s] present when the facility was destroyed, and target one of your planets as well (more, if this is not the first time one was called in). Once the last barracks is destroyed, the exo-war unit will target your home command station. The exo-war unit will despawn once all its targets have been crippled or destroyed.
--
AI Raider Nest
"The strikes launched from this base were responsible for destroying many civilian transports attempting to flee the AI when it went rebelled. Having succeeded in their extermination efforts, most of them left the region leaving the structure empty. Activating it would draw them back. Destroying the raiders wouldn't provide much of a tactical advantage, but the small measure of revenge it would give the civilians at home whose loved ones were killed by this squadron would greatly improve morale. It will take some time before all the raiders gather here, we can't destroy the next until they're gathered or we will never find them all."

The AI reinforcements in the system that contains the Raider Nest will include Raid Frigate[s]. Once the nest is activated, raid frigates will begin spawning in the hunter and warden fleets. After a while, they will all begin to gather around the nest. Once enough have gathered, a timer will start. If the nest and raid frigates are destroyed (or retreat) before the countdown is done, it will increase the Mk of your home command station by 1 for free. If the timer runs out, the nest will begin producing more raid frigates and sending squadrons of them to attempt to destroy the cities and cryo pods in your home command station. If all those are destroyed, they will go for whatever irreplaceable targets around the galaxy take their fancy. The raider fleets rely on stealth and will try to avoid tachyon fields if they can, even if it paths them in a more roundabout way.

--
AI Maintenance Processor
"Before shields became standard on most stations, hazardous astral phenomena necessitated increased maintenance in this area. The repairs were done by embedded nanotech controlled by this processor. These days it is mostly inactive, used for limited fleet upkeep at most. While it's digital defenses are too powerful to hack, the memory core was built to survive catastrophic failure. If we could recover it, the control codes within could be used to create zombification nanites on any garrisoned ships within some distance. However, if our attack fails the processor will begin auditing local defenses for damage and restoring anything we have destroyed."

The processor should be at the edge of the planet, by itself. It should have high health (enough so it can't be destroyed too quickly to spawn its forces) but weak shields, and it should contain several turrets and a force field that it deploys once damaged (to make sure infinite range ships don't start shooting its defenses and trigger it on accident). It should also have a repair beam so that it can repair the shield and turrets if you damage but don't destroy them. The processor should not serve as a fleet reinforcement point, the defenses should be purely static and predetermined unless warden or threat come. Once destroyed, any AI ships released from guard posts within 1-3 hops should spawn with full zombification damage. Does not spawn close enough to affect AI home worlds. If engaged but not destroyed, the station will start rebuilding AI guard posts on worlds 1-3 hops away from it instead, preventing you from neutering them. It won't rebuild them instantly, or all at once, but every 7 minutes or so a new one should pop up, prioritizing AI worlds currently on alert.
--
Zenith Trader Artifact Research Lab
"The Zenith Traders don't care about much except getting paid (and whether the word care applies to even that is debatable) but they have expressed emphatic interest in acquiring an artifact of theirs which humanity discovered some time ago. It was lost during the war before it could be returned, but we have intercepted network traffic that mentions AI experiments on it in this facility which is also masking the artifacts signal to prevent it from being found. If we return this to the Zenith and explain the situation, they would likely stop trading with the AI. If we try, but have lost control to the AI when the zenith arrive, they will give the AI a discount on future services."

This station only spawns when zenith traders are enabled. When destroyed, it will spawn a Zenith Trader Artifact that the zenith trade ship will immediately path to from wherever it is. The AI will also begin launching attacks to recover it. Those forces will remain in the system and despawn once the event is over. If destroyed, the artifact will respawn at full health under the control of whoever destroyed it. If it is under Player control when the trader arrives, the traders will no longer spawn structures for the AI. If it is under AI control, the Zenith will have a higher chance of spawning structures for the AI but will still do business with the humans.
--
Obsolete Electronics Warehouse
"This warehouse contains legacy components that the AI has little need of. They are still far more advanced than anything we remain capable of producing. While the warehouse does not contain any of the Safe Intelligences used to control the squadrons of ships in our fleets (which we also can't produce anymore), the hardware inside will allow us to maximize the potential of some of the ones we already possess. The longer we have to loot, the more upgrades we can make. However, the AI will respond to our intrusion, and if they destroy the warehouse then not only will we get nothing but the AI will upgrade all its legacy systems to more advanced hardware."

The warehouse looting is initiated like a hack but without taking any hacking points. The AI response to this looting will also increase at this time. The response has two parts, one group goes after the player ships, and a smaller group of units will attempt to destroy the warehouse. If the humans stop looting the warehouse, by having all flagships leave the gravity well, get destroyed, then for each X minutes that passed, one random squadron in the flagship closest to the warehouse will have the base number of ships set to the maximum variation allowed. Additionally, the AI will upgrade 1 of the worlds with the lowest Mk in the galaxy. This can occur more than once on the same planet, so if there're 0 mk1, 1 Mk2, and 0 Mk3 planets and two X minutes have passed, that Mk2 world will become a Mk 4. If the AI destroy the warehouse, the human squadron numbers remain unchanged and the number of AI Mk upgrades is doubled.

BadgerBadger

Aug 28, 2020 2:13 pm

manager   ~0058231

I'd like to see some objectives that will encourage players to split their fleets up. Here's an example.

The AI has 4 matching structures (or some number >= 2). When you attack one of these structures, it will spawn a bunch of ships to defend itself. These ships appear when you attack, and disappear when you leave (and are limited to the planet with the structure). The ships it can spawn are a shared pool between all the structures, so attacking several of these planets at once will make each battle much easier. The goal is to make the player think "I should split my fleet up and attack multiple targets at once to make this easier", but not to require it (if you're strong enough to brute force the target then that's fine).

BadgerBadger

Aug 28, 2020 2:29 pm

manager   ~0058232

Last edited: Aug 28, 2020 2:43 pm

View 2 revisions

What about an AI unit that works like a zenith trader for the AI only. It goes between AI planets and builds new defenses (turrets, guard posts, fortresses, new stuff...) . If you kill it then it will respawn in "a while". So it gives you a mobile target to snipe, and a motivation to do so.

x4000Bughunter

Aug 28, 2020 2:36 pm

administrator   ~0058233

I'm a big fan of the idea of encouraging players to split things up. In AIWC, it was really common to stage a simultaneous attack on both AI homeworlds because of how much easier that was, and this reminds me of that except taking it further.

RocketAssistedPuffin

Aug 28, 2020 2:59 pm

reporter   ~0058235

I recall long ago, I think being asked what I'd do for fleetballing, and part of my answer was something like what Badger said. Though it was a mandatory "must attack both at once", rather than a "the defences are split between the ones being assaulted".

The other part was for AI waves to be more like constant streams, constantly probing everywhere rather than a wave every 10 minutes.

Simultaneous attack on both homeworlds?...Why was that easier?

x4000Bughunter

Aug 28, 2020 5:26 pm

administrator   ~0058240

Ah yes, I remember that Puffin. That also is a good variant to do, perhaps both of them.

For the attack on both homeworlds at once, it was easier to kill both AI Home Command Stations at the same time, to avoid the AIP giant jump and thus the surge of difficulty.

So best was really to attack one, set up a base next to it, mostly neuter the planet, and then move as much as possible to site 2. At site 2, set up base and repeat, then kill both AI home stations as fast as you can one after the other. It was much easier with 3-4 players, as you might imagine. For us, we would just typically put 2 people on each AI's homeworld.

RocketAssistedPuffin

Aug 28, 2020 6:06 pm

reporter   ~0058244

Ah, that makes sense. I had read it to be fighting both homeworlds defenders at once.

I recall moving a lot of the Overlords AIP into the Guard Posts for this reason.

x4000Bughunter

Aug 28, 2020 6:26 pm

administrator   ~0058245

Oh yeah, I forgot about that. You're right, we did make that change for exactly that reason.

Issue History

Date Modified Username Field Change
Aug 6, 2020 8:58 pm x4000Bughunter New Issue
Aug 6, 2020 8:58 pm x4000Bughunter Status new => assigned
Aug 6, 2020 8:58 pm x4000Bughunter Assigned To => x4000Bughunter
Aug 6, 2020 8:59 pm x4000Bughunter Note Added: 0057964
Aug 6, 2020 8:59 pm x4000Bughunter Status assigned => feedback
Aug 6, 2020 9:30 pm DEMOCRACY_DEMOCRACY Note Added: 0057965
Aug 6, 2020 9:38 pm Chthon Note Added: 0057966
Aug 6, 2020 10:03 pm Mckloshiv Note Added: 0057967
Aug 6, 2020 10:11 pm ultamashot Note Added: 0057968
Aug 6, 2020 10:15 pm Oryutzen Note Added: 0057969
Aug 6, 2020 10:25 pm BadgerBadger Note Edited: 0057965 View Revisions
Aug 6, 2020 10:58 pm CRCGamer Note Added: 0057971
Aug 7, 2020 12:05 am Metrekec Note Added: 0057972
Aug 7, 2020 1:23 am Chthon Note Added: 0057973
Aug 7, 2020 2:57 am ArnaudB Note Added: 0057975
Aug 7, 2020 8:11 am ParadoxSong Note Added: 0057980
Aug 7, 2020 9:32 am gigastar Note Added: 0057981
Aug 7, 2020 6:04 pm Lord Of Nothing Note Added: 0057998
Aug 7, 2020 6:28 pm ANGRYABOUTELVES Note Added: 0057999
Aug 7, 2020 6:39 pm Lord Of Nothing Note Added: 0058000
Aug 8, 2020 4:39 pm Metrekec Note Added: 0058005
Aug 10, 2020 4:53 pm CRCGamer Note Added: 0058033
Aug 16, 2020 4:54 pm Relay Bot Note Added: 0058106
Aug 27, 2020 6:44 pm Onymous Note Added: 0058203
Aug 28, 2020 11:32 am x4000Bughunter Relationship added related to 0023587
Aug 28, 2020 11:36 am x4000Bughunter Relationship added related to 0023604
Aug 28, 2020 2:13 pm BadgerBadger Note Added: 0058231
Aug 28, 2020 2:29 pm BadgerBadger Note Added: 0058232
Aug 28, 2020 2:36 pm x4000Bughunter Note Added: 0058233
Aug 28, 2020 2:43 pm BadgerBadger Note Edited: 0058232 View Revisions
Aug 28, 2020 2:59 pm RocketAssistedPuffin Note Added: 0058235
Aug 28, 2020 3:29 pm BadgerBadger Note Edited: 0057965 View Revisions
Aug 28, 2020 5:26 pm x4000Bughunter Note Added: 0058240
Aug 28, 2020 6:06 pm RocketAssistedPuffin Note Added: 0058244
Aug 28, 2020 6:26 pm x4000Bughunter Note Added: 0058245